@echo off
setlocal enabledelayedexpansion

:: 获取当前脚本的目录，并存储在CURRENT_DIR变量中
set CURRENT_DIR=%~dp0

:: 定义临时目录变量，该目录名称为"KincoServo3"
set TMP_DIR=%CURRENT_DIR%KincoServo3

:: 定义执行文件的名称
set EXE_NAME=KincoServo3.exe

:: 检查TMP_DIR目录是否存在
if exist "%TMP_DIR%" (
    :: 如果存在，则等待2秒
    timeout /t 1 /nobreak

    :: 从TMP_DIR复制所有内容到CURRENT_DIR
    xcopy /y /s /e "%TMP_DIR%\*" "%CURRENT_DIR%" 2>NUL

    :: 删除TMP_DIR目录
    rmdir /s /q "%TMP_DIR%" 2>NUL
)

:: 检查KincoServo3.zip文件是否存在于CURRENT_DIR目录
if exist "%CURRENT_DIR%KincoServo3.zip" (
    :: 如果存在，则删除此zip文件
    del /f "%CURRENT_DIR%KincoServo3.zip" 2>NUL
)

:: 启动在CURRENT_DIR目录中名为EXE_NAME的应用程序
start "" "%CURRENT_DIR%%EXE_NAME%"

endlocal
